Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classdisplay
Class OWLClassDisplayFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.classdisplay.OWLClassDisplayFactory

    public class OWLClassDisplayFactory

extends Object

A Singleton object that manages the available OWLClassDisplays. New displays can be registered by plugins by means of a manifest entry tagged with "OWLClassRenderer=true".

Author:
  Holger Knublauch

Field Summary
`static String` | `APPLICATION_PROPERTY`
`static String` | `KEY`

Constructor Summary
`OWLClassDisplayFactory()`

Method Summary
`static Class[]` | `getAvailableDisplayClasses()`
`static OWLClassDisplay` | `getDefaultDisplay()`
`static OWLClassDisplay` | `getDisplay(Class type)`
`static void` | `setDefaultDisplay(OWLClassDisplay renderer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION_PROPERTY

    public static final String APPLICATION_PROPERTY

See Also:
  Constant Field Values

### KEY

    public static final String KEY

See Also:
  Constant Field Values

Constructor Detail

### OWLClassDisplayFactory

    public OWLClassDisplayFactory()

Method Detail

### getAvailableDisplayClasses

    public static Class[] getAvailableDisplayClasses()

### getDefaultDisplay

    public static OWLClassDisplay getDefaultDisplay()

### getDisplay

    public static OWLClassDisplay getDisplay(Class type)

### setDefaultDisplay

    public static void setDefaultDisplay(OWLClassDisplay renderer)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.